aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-parallel-prefork/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/perl-parallel-prefork/APKBUILD')
-rw-r--r--community/perl-parallel-prefork/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/perl-parallel-prefork/APKBUILD b/community/perl-parallel-prefork/APKBUILD
new file mode 100644
index 0000000000..58a83c17fb
--- /dev/null
+++ b/community/perl-parallel-prefork/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-parallel-prefork
+_pkgreal=Parallel-Prefork
+pkgver=0.14
+pkgrel=0
+pkgdesc="A simple prefork server framework"
+url="http://search.cpan.org/dist/Parallel-Prefork/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-list-moreutils perl-class-accessor-lite perl-scope-guard perl-proc-wait3"
+cpanmakedepends="perl-test-sharedfork perl-test-requires "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/K/KA/KAZUHO/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="223570b872af5ec337e3fdc31e47d7e0 Parallel-Prefork-0.14.tar.gz"
+sha256sums="68b70d0de6c2625e862402cc39288043f175816ede03d887a52f28500008ca0e Parallel-Prefork-0.14.tar.gz"
+sha512sums="18a9155775779d85956492f252f87e543590e4b4403f40fd4da86f041784b344683d88db49137cdad1e5d22c6f1017453bab7c0e1fb38731933194a32015547a Parallel-Prefork-0.14.tar.gz"